Bug 1301544 - [abrt] gnome-session: getenv(): gnome-session-binary killed by SIGSEGV
[abrt] gnome-session: getenv(): gnome-session-binary killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:28f4ae9f9c488a84829f2ee0985...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 06:13 EST by Bill Gianopoulos
Modified: 2017-08-08 08:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:42:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.77 KB, text/plain)
2016-01-25 06:13 EST, Bill Gianopoulos
no flags Details
File: cgroup (148 bytes, text/plain)
2016-01-25 06:13 EST, Bill Gianopoulos
no flags Details
File: core_backtrace (9.09 KB, text/plain)
2016-01-25 06:13 EST, Bill Gianopoulos
no flags Details
File: dso_list (8.22 KB, text/plain)
2016-01-25 06:13 EST, Bill Gianopoulos
no flags Details
File: environ (655 bytes, text/plain)
2016-01-25 06:13 EST, Bill Gianopoulos
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-25 06:13 EST, Bill Gianopoulos
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-25 06:13 EST, Bill Gianopoulos
no flags Details
File: maps (37.96 KB, text/plain)
2016-01-25 06:13 EST, Bill Gianopoulos
no flags Details
File: mountinfo (3.54 KB, text/plain)
2016-01-25 06:13 EST, Bill Gianopoulos
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-25 06:14 EST, Bill Gianopoulos
no flags Details
File: open_fds (558 bytes, text/plain)
2016-01-25 06:14 EST, Bill Gianopoulos
no flags Details
File: proc_pid_status (1.22 KB, text/plain)
2016-01-25 06:14 EST, Bill Gianopoulos
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-01-25 06:14 EST, Bill Gianopoulos
no flags Details

  None (edit)
Description Bill Gianopoulos 2016-01-25 06:13:47 EST
Version-Release number of selected component:
gnome-session-3.19.4-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-binary --autostart /usr/share/gdm/greeter/autostart
crash_function: getenv
executable:     /usr/libexec/gnome-session-binary
global_pid:     4138
kernel:         4.5.0-0.rc0.git8.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            42

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 getenv at getenv.c:84
 #1 guess_category_value at dcigettext.c:1587
 #2 __dcigettext at dcigettext.c:667
 #3 __dcgettext at dcgettext.c:47
 #4 g_dgettext at ggettext.c:402
 #5 glib_gettext at ggettext.c:131
 #6 g_cancellable_set_error_if_cancelled at gcancellable.c:314
 #7 g_socket_receive_message_with_timeout at gsocket.c:4766
 #8 g_socket_receive_message at gsocket.c:5311
 #9 _g_socket_read_with_control_messages_ready at gdbusprivate.c:128

Potential duplicate: bug 708650
Comment 1 Bill Gianopoulos 2016-01-25 06:13:50 EST
Created attachment 1117915 [details]
File: backtrace
Comment 2 Bill Gianopoulos 2016-01-25 06:13:51 EST
Created attachment 1117916 [details]
File: cgroup
Comment 3 Bill Gianopoulos 2016-01-25 06:13:52 EST
Created attachment 1117917 [details]
File: core_backtrace
Comment 4 Bill Gianopoulos 2016-01-25 06:13:53 EST
Created attachment 1117918 [details]
File: dso_list
Comment 5 Bill Gianopoulos 2016-01-25 06:13:54 EST
Created attachment 1117919 [details]
File: environ
Comment 6 Bill Gianopoulos 2016-01-25 06:13:55 EST
Created attachment 1117920 [details]
File: exploitable
Comment 7 Bill Gianopoulos 2016-01-25 06:13:56 EST
Created attachment 1117921 [details]
File: limits
Comment 8 Bill Gianopoulos 2016-01-25 06:13:57 EST
Created attachment 1117922 [details]
File: maps
Comment 9 Bill Gianopoulos 2016-01-25 06:13:58 EST
Created attachment 1117923 [details]
File: mountinfo
Comment 10 Bill Gianopoulos 2016-01-25 06:14:00 EST
Created attachment 1117924 [details]
File: namespaces
Comment 11 Bill Gianopoulos 2016-01-25 06:14:01 EST
Created attachment 1117925 [details]
File: open_fds
Comment 12 Bill Gianopoulos 2016-01-25 06:14:02 EST
Created attachment 1117926 [details]
File: proc_pid_status
Comment 13 Bill Gianopoulos 2016-01-25 06:14:03 EST
Created attachment 1117927 [details]
File: var_log_messages
Comment 14 Jan Kurik 2016-02-24 09:20:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 15 Matthias Clasen 2016-03-01 16:26:51 EST
This is setenv not being threadsafe
Comment 16 Matthias Clasen 2016-03-01 16:33:21 EST
Upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=754951
Comment 17 Fedora End Of Life 2017-07-25 15:50:45 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2017-08-08 08:42:18 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.